package com.template.services;

import com.template.model.pojo.SmartWarning;
import com.template.model.pojo.SmartWarning;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartWarningService extends IService<SmartWarning> {
    int insertSmartWarning(SmartWarning rns);

    int updateSmartWarning(SmartWarning rns);

    PageUtils<SmartWarning> queryPageSmartWarnings(int currentPage, int pageCount, String name,String state);

    int deleteSmartWarningById(int id);

    SmartWarning getSmartById(int id);

    List<String> warningType();

    PageUtils<SmartWarning> pageWarning(int currentPage, int pageCount, String type, String dateTime);



}
